<?php
/**
 * Scroll article excerpt
 *
 * @package Scroll article excerpt
 * @subpackage Scroll article excerpt
 * @version   2.0 February, 2012
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

class modScrollArticleExcerpt
{
	public function loadScripts(&$params)
	{
		$doc = &JFactory::getDocument();
		$doc->addScript(JURI::Root(true).'/modules/mod_scroll_article_excerpt/mod_scroll_article_excerpt.js');
	}
	
	public function getArticleList($args)
	{
      $db = &JFactory::getDBO();

      $nullDate = $db->getNullDate();
      $date =& JFactory::getDate();
      $now = $date->toMySQL();

	  $sae_category_id = $args['sae_category_id'];
	  $sae_no_of_items = $args['sae_no_of_items'];
	  $sae_no_of_chars = $args['sae_no_of_chars'];
	  $sae_order_field = $args['sae_order_field'];
	  $sae_use_cache = $args['sae_use_cache'];
	  $sae_order_by = $args['sae_order_by'];
      
      if ($sae_no_of_chars == 0){
        $sae_no_of_chars=999;
      }
      
      $query  = "select cn.id, ca.id as catid, ca.alias as catalias, cn.alias as conalias, cn.sectionid, ";
			$query .= "CASE WHEN CHAR_LENGTH(cn.alias) THEN CONCAT_WS(':', cn.id, cn.alias) ELSE cn.id END as slug, ";
			$query .= "CASE WHEN CHAR_LENGTH(ca.alias) THEN CONCAT_WS(':', ca.id, ca.alias) ELSE ca.id END as catslug, ";
      $query .= "if (length(cn.title)>".$sae_no_of_chars.",concat(substring(cn.title,1,".$sae_no_of_chars."),'...'),cn.title) as title, ";
	  $query .= "cn.introtext as introtext, ";
      $query .= "cn.title as fulltitle ";
      $query .= "from #__content as cn , #__categories as ca ";
      $query .= "where cn.id <> '' ";
      if($sae_category_id != ""){
        $query .= " AND cn.catid in (".$sae_category_id.") ";
      }
      
      $query .= " and state = 1 and ca.id=cn.catid ";

      $query .= ' and ( publish_up = '.$db->Quote($nullDate).' or publish_up <= '.$db->Quote($now).' )';
      $query .= ' and ( publish_down = '.$db->Quote($nullDate).' or publish_down >= '.$db->Quote($now).' )';
      
      if ($sae_order_field == "random"){
      	$query .= " order by RAND() ";
      }else{
        $query .= " order by ".$sae_order_field." ".$sae_order_by;
      }
      
      if ($sae_no_of_items != 0) {
        $query .= " limit ".$sae_no_of_items;
      }
      //echo $query;
      $db->setQuery($query);
      $items = ($items = $db->loadObjectList())?$items:array();
      return $items;
    }	
	
	
	function sae_dp_clean($excerpt, $substr=0) 
	{
		$string = strip_tags(str_replace('[...]', '...', $excerpt));
		if ($substr>0) 
		{
			$string = substr($string, 0, $substr);
		}
		return $string;
	}
}
?>